<template>
    <div class="home"   v-loading.fullscreen="isshow" :element-loading-text="istype"
    element-loading-spinner="el-icon-loading"
    element-loading-background="rgba(0, 0, 0, 0.8)" @click="innershow=false">
    <div v-wechat-title="$route.meta.title=name"></div>
      <div class="center">
          <ul class="list">
              <li>
                 <span class="span1">基本信息</span>
                 <dl>
                     <dt>项目所属事业部:</dt>
                     <dd>{{projectlist.ProjectRelatedDepartment}}&nbsp;<img src="../../assets/gengduo.png"></dd>
                 </dl>
                 <dl>
                     <dt>人天结算类型:</dt>
                     <dd>{{projectlist.Manday_Project_Detail_Type}}&nbsp;<img src="../../assets/gengduo.png"></dd>
                 </dl>
                 <dl>
                     <dt>合同金额:</dt>
                     <dd>{{projectlist.CurrencyIsoCode}}&nbsp;{{projectlist.Amount}}</dd>
                 </dl>
                 <dl>
                     <dt style="color:red;">预估实施成本:</dt>
                     <dd style="color:red;">{{projectlist.CurrencyIsoCode}}&nbsp;{{projectlist.Expected_Implement_Expense}}</dd>
                 </dl>
                 <dl>
                     <dt>维护开始日期:</dt>
                     <dd>{{projectlist.maintenancestartday}}</dd>
                 </dl>
                  <dl>
                     <dt>维护结束日期:</dt>
                     <dd>{{projectlist.stopon}}</dd>
                 </dl>
              </li>
               <li>
                 <span class="span1">项目执行</span>
                 <div class="flexbox" style="display:flex;">
                      <dl>
                     <dt>签约维护人天:</dt>
                     <dd >{{projectlist.Contract_Maintain_Manday}}</dd>
                        </dl>
                        <dl>
                            <dt>实际执行人天:</dt>
                            <dd >{{projectlist.Actual_ManDays}}</dd>
                        </dl>
                 </div>
                 <div class="flexbox" style="display:flex;">
                      <dl>
                     <dt>已确认人天:</dt>
                     <dd>{{projectlist.Confirm_Manday}}</dd>
                 </dl>
                 <dl>
                     <dt>维护剩余人天:</dt>
                     <dd>{{projectlist.Maintain_Surplus_Manday}}</dd>
                 </dl>
                 </div>
               
                 <dl>
                     <dt>上次确认人天日期:</dt>
                     <dd>{{projectlist.Lastest_Confirm_Manday_Date}}</dd>
                 </dl>
              </li>
               
          </ul>
      </div>
       <div class="showsix">
          
          <div  :class="innershow?'outadd':'out'">
                <div @click="tomodule('成员')" class="circley circle"><span>项目</span><span>成员</span></div>
                <div  @click="tomodule('下载')" class="circlex circle"><span>文件</span><span>下载</span></div>
                <div @click="tomodule('报销')" class="circleb circle"><span>项目</span><span>费用</span></div>
          </div>
            <div :class="innershow?'inneradd':'inner'">
               <div  @click="tomodule('合同')" class="circlec circle">合同</div>
                <div @click="tomodule('收款')"  class="circles circle">收款</div>
                <div @click="tomodule('项目人天')" class="circler circle"><span>项目</span><span>人天</span></div>
               
            </div>
          <button :class="innershow?'addxsix':'addsix'" @click.stop="addsix()"><span style="height:0.3rem; width:0.3rem;position:fixed;left: 0.33rem;
    top: 0.14rem;">+</span></button>
      </div>
         <mt-datetime-picker
                ref="picker"
                type="date"
                year-format="{value}年"
                month-format="{value}月"
                date-format="{value}日"
                v-model="pickerValue" @cancel="opendismiss()"  @confirm="handleconfirm()"  readonly="readonly">
            </mt-datetime-picker>
    </div>
</template>
<script type="text/ecmascript-6">
 import format from '../../utils/format.js';
export default {
    
    data(){
        let tmonth=new Date().getMonth()+1
        return{
            isshow:true,
            istype:'',
            pickerValue:new Date().getFullYear()+'-'+tmonth+'-'+new Date().getDate(),
            projectlist:{
                
            },
            key:'',
            name:'',
            innershow:false,
        }
    },
    methods:{
        openpicker(key){
            this.key=key;
            this.$refs.picker.open();
            
        },
        handleconfirm(){
            console.log(this.pickerValue);
            let d=new Date(this.pickerValue);
            let month=d.getMonth()+1;
            console.log(d);
             console.log(this.key);
            this.projectlist[this.key]=d.getFullYear()+'-'+month+'-'+d.getDate();
             console.log(this.key);
        },
        addsix(){
            if(this.innershow==false){
                 this.innershow=true;
            }else{
                  this.innershow=false;
            }
           
        },
        tomodule(type){
            if(type=='合同'){
                this.$router.push({path:'./contract',query:{id:this.$route.query.id,key:'defendproject'}})
            }else if(type=='收款'){
                this.$router.push({path:'./collection',query:{id:this.$route.query.id,key:'defendproject'}})
            }else if(type=='项目人天'){
                this.$router.push({path:'./projectday',query:{id:this.$route.query.id,key:'defendproject'}})
            }else if(type=='报销'){
                this.$router.push({path:'./expense',query:{id:this.$route.query.id,key:'defendproject'}})
            }else if(type=='成员'){
                 this.$router.push({path:'./member',query:{id:this.$route.query.id,key:'defendproject'}})
            }else if(type=='下载'){
                 this.$router.push({path:'./downfile',query:{id:this.$route.query.id,key:'defendproject'}})
            }
        }
    },
    created(){
         var _mtac = {};
         (function() { 
            var mta = document.createElement("script");
            mta.src = "//pingjs.qq.com/h5/stats.js?v2.0.4"; 
            mta.setAttribute("name", "MTAH5");
            mta.setAttribute("sid", "500652293"); 
            var s = document.getElementsByTagName("script")[0]; 
            s.parentNode.insertBefore(mta, s); })(); 
         this.isshow=true;
        this.istype="加载中";
        let that=this;
        console.log(that.$route.meta);
        // console.log(that.$route.query.name);
        that.name=that.$route.query.name;
        // console.log(that.$route.meta.title);
        console.log(that.$route.query.id);
          client.apexrest('/rest/SingleProjectDetail?Pid='+that.$route.query.id,function(data){
                  console.log(data);
                  that.isshow=false;
                  if(data.Message=="Success"){
                       that.projectlist=data.SFDC;
                       that.projectlist.Amount=format(Number(that.projectlist.Amount));
                       that.projectlist.Expected_Implement_Expense=format(Number(that.projectlist.Expected_Implement_Expense));
                    //   that.projectlist.Projected_Cost=format(Number(that.projectlist.Projected_Cost));
                    //   that.projectlist.ProjectCost=format(Number(that.projectlist.ProjectCost));
                    //   that.projectlist.ProjectActualCost=format(Number(that.projectlist.ProjectActualCost));
                    //    that.projectlist.CalculateMargin=format(Number(that.projectlist.CalculateMargin));
                    //    that.projectlist.ActualMargin=format(Number(that.projectlist.ActualMargin));

                 }else{

                  }
                  
                },function(error){
                  that.isshow=false;
                  console.log(error);

                },'GET',null,true)
    
    }
}
</script>
<style lang="scss" type="text/scss" scoped>
    .home{
        width: 100%;
        height: 100vh;
    }
    .home .center{
        width: 98%;
        margin: 0 auto;
    }
    .home .center .list{
        width: 100%;
        // border-radius: 0.3rem;
    }
    .home .center .list li{
        height:auto;
        width: 100%;
        margin-top: 0.12rem;
        background: white;
        // border-radius: 0.3rem;
    }
    .home .center .list li .flexbox dl dd{
        text-align: left;
        margin-left: 0.02rem;
        margin-right: 0;
    }
    .home .center .list li:first-child{
        // margin-top:0.1rem;
        border-radius: 0.2rem 0.2rem 0 0;
    }
     .home .center .list li:last-child{
          border-radius: 0rem 0rem 0.2rem 0.2rem;
     }
     .home .center .list li .span1{
         height: 0.7rem;
         line-height: 0.5rem;
         font-size: 0.30rem;
         margin-left: 0.3rem;
         position: relative;
     }
     .home .center .list li span:before{
         content: '';
         width: 0.06rem;
         height: 0.3rem;
         background: #5477AB;
        position: absolute;
        left: -0.15rem;
        top: 0.04rem;
     }
    .home .center .list li span{
        width:100%;
        height: 0.8rem;
        color: #5477AB;
        font-size: 0.36rem;
        margin-top: 0.1rem;
    }
     .home .center .list li dl{
         width: 100%;
         display: flex;
         height: 0.9rem;
         line-height: 0.9rem;
         border-bottom: 0.02rem solid #EEEEEE;
         justify-content: space-between;
     }
     .home .center .list li dl dt{
         width:70%;
         margin-left: 0.3rem;
         font-size: 0.28rem;
         color:gray;
     }
     .home .center .list li dl dd{
         width:55%;
         text-align: right;
         margin-right: 0.2rem;
         font-size: 0.28rem;
          color:gray;
     }
       .showsix .circle{
           width: 1rem;
           height: 1rem;
           border-radius: 50%;
        //    text-align: center;
           background: white;
           color: white;
            text-align: center;
            line-height: 1rem;
            font-size: 0.24rem;
           white-space:normal;
       // word-break:break-all;
        word-wrap:break-word;
       }
        .showsix .inneradd .circlec{
            position: fixed;
            right: 1.7rem;
            bottom: 0.2rem;
            z-index: 1000;
            background: #70C0F5;
        }
         .showsix .inneradd .circles{
             position: fixed;
            right: 1.1rem;
            bottom: 1.2rem;
            z-index: 1000;
             background: #70C0F5;
         }
           .showsix .inneradd .circler{
                position: fixed;
            right: 0.1rem;
            bottom: 1.8rem;
            z-index: 1000;
             background: #70C0F5;
             display: flex;
             flex-direction: column;
            //  width:0.8rem;
            //  padding-left: 0.1rem;
              white-space:normal;
                word-break:break-all;
                word-wrap:break-word;
            // word-wrap: break-word;
            // word-break: normal;
            line-height:0.7rem;
           }
           .showsix .inneradd .circler span{
               height:0.3rem;

           }
       .showsix .inneradd{
           position: fixed;
           right: 0;
           bottom: 0;
           width: 3rem;
           height: 3rem;
           border-radius: 3rem 0 0 0;
           box-shadow: 0.02rem  #eeeeee;
          background: rgba(192,227,250,0.5);
       
        //background: #BBF1FF;
            // transform: scale(1);
           transition: all 0.1s;

       }
       .showsix .inner{
           position: fixed;
           right: 0;
           bottom: 0;
           width: 0rem;
           height: 0rem;
           border-radius: 2rem 0 0 0;
             box-shadow: 0.02rem #eeeeee;
        //    transform: scale(0.5);
            background: rgba(223,241,253,0.5);
            // background: #BBF1FF;
             transition: all 0.1s;
          
       }
       .showsix .out{
        //    text-align: center;
            position: fixed;
           right: 0;
           bottom: 0;
            width:0rem;
           height: 0rem;
           line-height: 4rem;
           border-radius: 0rem 0 0 0;
             background: rgba(223,241,253,0.5);
               box-shadow: 0.02rem #eeeeee;
            //  background: #BBF1FF;
            // transform: scale(0.5);
              transition: all 0.1s;
       }
        .showsix .outadd{
              position: fixed;
           right: 0;
           bottom: 0;
        //    text-align: center;
            width: 4.5rem;
           height: 4.5rem;
           line-height: 4.5rem;
           border-radius: 4.5rem 0 0 0;
            background: rgba(223,241,253,0.5);
              box-shadow: 0.02rem#eeeeee;
        //  background: #BBF1FF;
            // transform: scale(1);
           transition: all 0.1s;
       }
       .showsix .outadd .circley{
            //   position: fixed;
            // right: 3.2rem;
            // bottom: 0.4rem;
            // z-index: 1000;
            // background: #FFC266;

              position: fixed;
            right: 3.2rem;
            bottom: 0.4rem;
            z-index: 1000;
             background: #FFC266;
             display: flex;
             flex-direction: column;
            //  width:0.8rem;
            //  padding-left: 0.1rem;
              white-space:normal;
                word-break:break-all;
                word-wrap:break-word;
            // word-wrap: break-word;
            // word-break: normal;
            line-height:0.7rem;
       }
        .showsix .outadd .circley span{
            height: 0.3rem;
        }
       .showsix .outadd .circleb{
            //   position: fixed;
            // right: 2.2rem;
            // bottom: 2.1rem;
            // z-index: 1000;
            // background: #8ADC8A;

             position: fixed;
             right: 2.2rem;
            bottom: 2.1rem;
            z-index: 1000;
             background: #8ADC8A;
             display: flex;
             flex-direction: column;
            //  width:0.8rem;
            //  padding-left: 0.1rem;
              white-space:normal;
                word-break:break-all;
                word-wrap:break-word;
            // word-wrap: break-word;
            // word-break: normal;
            line-height:0.7rem;
       }
       .showsix .outadd .circleb span{
           height: 0.3rem;
       }
       .showsix .outadd .circlex{
            // position: fixed;
            // right: 0.4rem;
            // bottom: 3.1rem;
            // z-index: 1000;
            // background: pink;

              position: fixed;
           right: 0.4rem;
            bottom: 3.1rem;
            z-index: 1000;
           background: pink;
             display: flex;
             flex-direction: column;
            //  width:0.8rem;
            //  padding-left: 0.1rem;
              white-space:normal;
                word-break:break-all;
                word-wrap:break-word;
            // word-wrap: break-word;
            // word-break: normal;
            line-height:0.7rem;
       }
       .showsix .outadd .circlex span{
           height: 0.3rem;
       }
       .showsix .addsix{
           position: fixed;
           right: 0;
           bottom: 0;
           width:1rem;
           height: 1rem;
        //    line-height: 1rem;
        //    text-align: center;
           border-radius: 50%;
           background: white;
           font-size: 0.5rem;
           margin-left: 0.2rem;
           color: #5477AB;
            transform: rotate(0deg);
            transition: all 0.5s;
            z-index: 200000;
       }
        .showsix .addxsix{
            position: fixed;
           right: 0;
           bottom: 0;
           width:1rem;
           height: 1rem;
        //    line-height: 1rem;
        //   text-align: center;
           border-radius: 50%;
           background: white;
           font-size: 0.5rem;
           margin-left: 0.2rem;
           color: #5477AB;
           transform: rotate(45deg);
           transition: all 0.5s;
           z-index: 1000;
        }
        //  .showsix .addxsix span{
        //      margin-top:0.2rem;
        //  }
</style>

